class CreateMarkFiles < ActiveRecord::Migration[5.2]
  def change
    create_table :mark_files do |t|
      t.references :pull_request
      t.integer :user_id
      t.string :file_path_sha
      t.string :file_path
      t.boolean :mark_as_read, default: false
      t.boolean :updated_after_read, default: false
      t.timestamps
    end

    add_index :mark_files, :file_path_sha
  end
end
